%define epoch		0

%define name		amd
%define NAME 		AMD
%define version		2.2.1
%define release		%mkrel 1
%define major 		%{version}
%define libname 	%mklibname %{name} %{major}
%define develname 	%mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Summary:	Routines for permuting sparse matricies prior to factorization
Group:		System/Libraries
License:	LGPL
URL:		http://www.cise.ufl.edu/research/sparse/amd/
Source0:	http://www.cise.ufl.edu/research/sparse/amd/%{NAME}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	suitesparse-common-devel >= 3.2.0-2

%description
AMD provides a set of routines for permuting sparse matricies prior to
Cholesky factorization (or LU factorization with diagonal pivoting).

%package -n %{libname}
Summary:	Library of routines for permuting sparse matricies prior to factorization
Group:		System/Libraries
Provides:	%{libname} = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname %{name} 2

%description -n %{libname}
AMD provides a set of routines for permuting sparse matricies prior to
Cholesky factorization (or LU factorization with diagonal pivoting).

This package contains the library needed to run programs dynamically
linked against %{NAME}.

%package -n %{develname}
Summary:	C routines for permuting sparse matricies prior to factorization
Group:		Development/C
Requires:	suitesparse-common-devel >= 3.0.0
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname %{name} 1.2 -d
Obsoletes:	%mklibname %{name} 2 -d
Obsoletes:	%mklibname %{name} 2 -d -s

%description -n %{develname}
AMD provides a set of routines for permuting sparse matricies prior to
Cholesky factorization (or LU factorization with diagonal pivoting).

This package contains the files needed to develop applications that 
use %{NAME}.

%prep
%setup -q -c
%setup -q -D -n %{name}-%{version}/%{NAME}
mkdir ../UFconfig
ln -sf %{_includedir}/suitesparse/UFconfig.* ../UFconfig

%build
pushd Lib
    %make -f GNUmakefile CC=%__cc CFLAGS="%{optflags} -fPIC -I%{_includedir}/suitesparse" INC=
    %__cc -shared -Wl,-soname,lib%{name}.so.%{major} -o lib%{name}.so.%{version} -lm *.o
popd

%install
%__rm -rf %{buildroot}

%__install -d -m 755 %{buildroot}%{_libdir}
%__install -d -m 755 %{buildroot}%{_includedir}/suitesparse

for f in Lib/*.so*; do
    %__install -m 755 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Lib/*.a; do
    %__install -m 644 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Include/*.h; do
    %__install -m 644 $f %{buildroot}%{_includedir}/suitesparse/`basename $f`
done

%__ln_s lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so

%__install -d -m 755 %{buildroot}%{_docdir}/%{name}
%__install -m 644 README.txt Doc/*.txt Doc/*.pdf Doc/ChangeLog Doc/License %{buildroot}%{_docdir}/%{name}

%clean
%__rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_docdir}/%{name}
%{_includedir}/suitesparse/*.h
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Wed Jul 21 2010 Lev Givon <lev@mandriva.org> 0:2.2.1-1mdv2011.0
+ Revision: 556556
- Update to 2.2.1.

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0:2.2.0-12mdv2010.0
+ Revision: 436645
- rebuild

* Wed Dec 03 2008 Lev Givon <lev@mandriva.org> 0:2.2.0-11mdv2009.1
+ Revision: 309517
- Use UFconfig files in suitesparse-common-devel.

* Tue Dec 02 2008 Lev Givon <lev@mandriva.org> 0:2.2.0-10mdv2009.1
+ Revision: 309441
- Update UFconfig.

* Mon Dec 01 2008 Lev Givon <lev@mandriva.org> 0:2.2.0-9mdv2009.1
+ Revision: 308923
- libamd-devel needs the headers in suitesparse-common-devel.

* Sun Nov 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:2.2.0-8mdv2009.1
+ Revision: 308555
- obsolete suitesparse amd library
- do not require suitesparse-common-devel

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 2.2.0-7mdv2009.0
+ Revision: 226151
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Lev Givon <lev@mandriva.org> 2.2.0-6mdv2008.1
+ Revision: 140548
- Move docs to devel package.

* Wed Jan 02 2008 Lev Givon <lev@mandriva.org> 2.2.0-5mdv2008.1
+ Revision: 140432
- Don't obsolete old libraries.

* Wed Jan 02 2008 Lev Givon <lev@mandriva.org> 2.2.0-4mdv2008.1
+ Revision: 140192
- Obsolete old static devel package.

* Tue Jan 01 2008 Lev Givon <lev@mandriva.org> 2.2.0-3mdv2008.1
+ Revision: 140087
- Update UFconfig.
  Update obsoletes, merge with package provided by suitesparse.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.0-2mdv2008.1
+ Revision: 132370
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.0-1mdv2008.0
+ Revision: 80366
- new version
  new devel policy
  new doc policy


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-3mdv2007.0
- Rebuild

* Thu Jan 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-2mdk
- add missing header

* Thu Jan 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdk
- first mdk release

